%global momorel 3
Summary: VNC client for the GNOME Desktop
Name: vinagre
Version: 2.30.2
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/System
URL: http://www.gnome.org/projects/vinagre
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gettext intltool
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: gnutls-devel
BuildRequires: libglade2-devel >= 2.6.4
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: gnome-keyring-devel >= 2.26.0
BuildRequires: gtk-vnc-devel >= 0.3.9
BuildRequires: avahi-devel >= 0.6.24
BuildRequires: avahi-ui-devel >= 0.6.22
BuildRequires: avahi-gobject-devel >= 0.6.22
BuildRequires: gnome-panel-devel >= 2.26.0
BuildRequires: telepathy-glib-devel
BuildRequires: libxml2-devel >= 2.6.31
BuildRequires: vte-devel >= 0.20

Requires(pre): hicolor-icon-theme gtk2
Requires: rarian
Requires: GConf2

# for /usr/share/dbus-1/services
Requires: dbus

%description
Vinagre is a VNC client for the GNOME desktop.

With Vinagre you can have several connections open simultaneously, bookmark
your servers thanks to the Favorites support, store the passwords in the
GNOME keyring, and browse the network to look for VNC servers.


%package devel
Summary: Development files for vinagre
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Vinagre is a VNC client for the GNOME desktop.

This package allows you to develop plugins that add new functionality
to vinagre.


%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-ssh \
    --enable-avahi \
    --enable-telepathy=yes
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# deplecated
rm -rf %{buildroot}%{_datadir}/doc/vinagre

desktop-file-install                                            \
        --remove-category=Application                           \
        --add-category=GTK                                      \
        --delete-original                                       \
        --dir=%{buildroot}%{_datadir}/applications              \
        %{buildroot}%{_datadir}/applications/vinagre.desktop

%find_lang %{name} --with-gnome


%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/vinagre.schemas \
    > /dev/null || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/vinagre.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/vinagre.schemas \
      > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/vinagre.schemas
%{_bindir}/%{name}
%{_libdir}/bonobo/servers/GNOME_VinagreApplet.server
%{_libexecdir}/vinagre-applet
%{_libdir}/vinagre-1
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/mime/packages/vinagre-mime.xml
%{_datadir}/telepathy/clients/Vinagre.client
%{_datadir}/vinagre-1/plugins/vnc/vnc.ui
%{_mandir}/man1/vinagre.1.*
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vinagre.service 

%files devel
%defattr(-,root,root)
%{_includedir}/vinagre-1.0
%{_libdir}/pkgconfig/vinagre-1.0.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.2-3m)
- full rebuild for mo7 release

* Fri Aug 27 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.30.2-2m)
- sync fc13

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-1m)
- update to 2.30.2

* Wed May 26 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-2m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Tue May  4 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Sat Feb 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.91-1m)
- update to 2.29.91

* Thu Feb 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.90-1m)
- update to 2.29.90

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0.1-1m)
- update to 2.28.0.1

* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Mon Feb 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Mon Feb  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.2-2m)
- rebuild against rpm-4.6

* Mon Dec  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- [SECURITY] CVE-2008-5660
- update to 2.24.2

* Tue Oct 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.24.1-2m)
- add BuildPrereq

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Thu Oct  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.1-2m)
- rebuild against gnutls-2.4.1

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- initial build
